curl --request POST \
--url https://api.symmetry.com/spf/v2/forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"homeAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"workAddresses": [
{
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
}
],
"includePreviewForms": false
}
'{
"forms": [
{
"id": "W4101",
"name": "W-4",
"title": "Employee's Withholding Certificate",
"formVersion": "2021.1.0",
"formLocality": "FEDERAL",
"formType": "RESIDENT",
"recommended": true,
"initialQuestionSet": "QS1"
},
{
"id": "AL101",
"name": "A4",
"title": "Employee's Withholding Exemption Tax Certificate",
"formVersion": "2014.3.0",
"formLocality": "AL",
"formType": "RESIDENT",
"recommended": true,
"initialQuestionSet": "QS1"
},
{
"id": "AL101SP",
"name": "A4(SP)",
"title": "Certificado para todo Empleado de Exención de Retencion de Ingresos para Pago de Impuestos",
"formVersion": "2016.5.0",
"formLocality": "AL",
"formType": "RESIDENT",
"recommended": true,
"initialQuestionSet": "QS1"
},
{
"id": "AL103",
"name": "A4-MS",
"title": "Nonresident Military Spouse Withholding Tax Exemption Certificate",
"formVersion": "2019.9.0",
"formLocality": "AL",
"formType": "EXEMPT_MILITARY_SPOUSE",
"recommended": false,
"initialQuestionSet": "QS1"
},
{
"id": "W4101SP",
"name": "W-4(SP)",
"title": "Certificado de Retenciones del Empleado",
"formVersion": "2020.12.0",
"formLocality": "FEDERAL",
"formType": "RESIDENT",
"recommended": false,
"initialQuestionSet": "QS1"
},
{
"id": "W6101",
"name": "673",
"title": "Statement For Claiming Exemption From Withholding on Foreign Earned Income Eligible for the Exclusion(s) Provided by Section 911",
"formVersion": "2019.1.0",
"formLocality": "FEDERAL",
"formType": "EXEMPT",
"recommended": false,
"initialQuestionSet": "QS1"
},
{
"id": "W8101",
"name": "8233",
"title": "Exemption From Withholding on Compensation for Independent (and Certain Dependent) Personal Services of a Nonresident Alien Individual",
"formVersion": "2018.9.0",
"formLocality": "FEDERAL",
"formType": "EXEMPT",
"recommended": false,
"initialQuestionSet": "QS1"
}
],
"locationData": [
{
"id": "home",
"inputAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"normalizedAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130-2102"
},
"addressResultMessages": [
"The corrected address is valid. [AS01]",
"The record was coded to the street level (Zip+4 for US, full postal code for CA). [GS01]"
],
"addressErrorMessages": [],
"latitude": "32.376634",
"longitude": "-86.299645",
"geocoded": false,
"verified": true
},
{
"id": "work1",
"inputAddress": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"normalizedAddress": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130-3020"
},
"addressResultMessages": [
"The corrected address is valid. [AS01]",
"The record was coded to the street level (Zip+4 for US, full postal code for CA). [GS01]"
],
"addressErrorMessages": [],
"latitude": "32.378229",
"longitude": "-86.299726",
"geocoded": false,
"verified": true
}
]
}Retrieve all applicable forms and address normalization and geocoding data for specified home and work address.
POST
/
v2
/
forms
curl --request POST \
--url https://api.symmetry.com/spf/v2/forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"homeAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"workAddresses": [
{
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
}
],
"includePreviewForms": false
}
'{
"forms": [
{
"id": "W4101",
"name": "W-4",
"title": "Employee's Withholding Certificate",
"formVersion": "2021.1.0",
"formLocality": "FEDERAL",
"formType": "RESIDENT",
"recommended": true,
"initialQuestionSet": "QS1"
},
{
"id": "AL101",
"name": "A4",
"title": "Employee's Withholding Exemption Tax Certificate",
"formVersion": "2014.3.0",
"formLocality": "AL",
"formType": "RESIDENT",
"recommended": true,
"initialQuestionSet": "QS1"
},
{
"id": "AL101SP",
"name": "A4(SP)",
"title": "Certificado para todo Empleado de Exención de Retencion de Ingresos para Pago de Impuestos",
"formVersion": "2016.5.0",
"formLocality": "AL",
"formType": "RESIDENT",
"recommended": true,
"initialQuestionSet": "QS1"
},
{
"id": "AL103",
"name": "A4-MS",
"title": "Nonresident Military Spouse Withholding Tax Exemption Certificate",
"formVersion": "2019.9.0",
"formLocality": "AL",
"formType": "EXEMPT_MILITARY_SPOUSE",
"recommended": false,
"initialQuestionSet": "QS1"
},
{
"id": "W4101SP",
"name": "W-4(SP)",
"title": "Certificado de Retenciones del Empleado",
"formVersion": "2020.12.0",
"formLocality": "FEDERAL",
"formType": "RESIDENT",
"recommended": false,
"initialQuestionSet": "QS1"
},
{
"id": "W6101",
"name": "673",
"title": "Statement For Claiming Exemption From Withholding on Foreign Earned Income Eligible for the Exclusion(s) Provided by Section 911",
"formVersion": "2019.1.0",
"formLocality": "FEDERAL",
"formType": "EXEMPT",
"recommended": false,
"initialQuestionSet": "QS1"
},
{
"id": "W8101",
"name": "8233",
"title": "Exemption From Withholding on Compensation for Independent (and Certain Dependent) Personal Services of a Nonresident Alien Individual",
"formVersion": "2018.9.0",
"formLocality": "FEDERAL",
"formType": "EXEMPT",
"recommended": false,
"initialQuestionSet": "QS1"
}
],
"locationData": [
{
"id": "home",
"inputAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"normalizedAddress": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130-2102"
},
"addressResultMessages": [
"The corrected address is valid. [AS01]",
"The record was coded to the street level (Zip+4 for US, full postal code for CA). [GS01]"
],
"addressErrorMessages": [],
"latitude": "32.376634",
"longitude": "-86.299645",
"geocoded": false,
"verified": true
},
{
"id": "work1",
"inputAddress": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
},
"normalizedAddress": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130-3020"
},
"addressResultMessages": [
"The corrected address is valid. [AS01]",
"The record was coded to the street level (Zip+4 for US, full postal code for CA). [GS01]"
],
"addressErrorMessages": [],
"latitude": "32.378229",
"longitude": "-86.299726",
"geocoded": false,
"verified": true
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
The address sub-element of the employer element contains all data pertaining to an employer's physical address.
Show child attributes
Show child attributes
Required array length:
1 - 10 elementsShow child attributes
Show child attributes
States and territories
States and territories
⌘I

